(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      9418,        224]
NotebookOptionsPosition[      8984,        203]
NotebookOutlinePosition[      9323,        218]
CellTagsIndexPosition[      9280,        215]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\n", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, {3.600608826318905*^9, 3.600608826675346*^9}, 
   3.600685362498796*^9, 3.70158142316212*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XXYYZZ\>\""}], 
  RowBox[{"(*", 
   RowBox[{
   "Change", " ", "XXYYZZ", " ", "to", " ", "the", " ", "UID", " ", "of", " ",
     "your", " ", "Silent", " ", "Stepper", " ", "Brick"}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"ss", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickSilentStepper\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Use", " ", "position", " ", "reached", " ", "callback", " ", "to", " ", 
    "program", " ", "random", " ", "movement"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PositionReachedCB", "[", 
    RowBox[{"sender_", ",", "position_"}], "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"EvenQ", "[", 
         RowBox[{"RandomInteger", "[", "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"steps", ":=", 
          RowBox[{"RandomInteger", "[", 
           RowBox[{"{", 
            RowBox[{"1000", ",", "5000"}], "}"}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{"steps", " ", 
           RowBox[{"(", "forward", ")"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{"\"\<Driving forward: \>\"", "<>", 
           RowBox[{"ToString", "[", "steps", "]"}], "<>", "\"\< steps\>\""}], 
          "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"steps", ":=", 
          RowBox[{"RandomInteger", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5000"}], ",", 
             RowBox[{"-", "1000"}]}], "}"}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{"steps", " ", 
           RowBox[{"(", "backward", ")"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{"\"\<Driving backward: \>\"", "<>", 
           RowBox[{"ToString", "[", "steps", "]"}], "<>", "\"\< steps\>\""}], 
          "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"vel", "=", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"200", ",", "2000"}], "}"}], "]"}]}], ";", 
      RowBox[{"(*", 
       RowBox[{"steps", "/", "s"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"acc", "=", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"100", ",", "1000"}], "}"}], "]"}]}], ";", 
      RowBox[{"(*", 
       RowBox[{"steps", "/", 
        RowBox[{"s", "^", "2"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"dec", "=", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"100", ",", "1000"}], "}"}], "]"}]}], ";", 
      RowBox[{"(*", 
       RowBox[{"steps", "/", 
        RowBox[{"s", "^", "2"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<Configuration (vel, acc, dec): (\>\"", "<>", 
        "\[IndentingNewLine]", "        ", 
        RowBox[{"ToString", "[", "vel", "]"}], "<>", "\"\<, \>\"", "<>", 
        RowBox[{"ToString", "[", "acc", "]"}], "<>", "\"\<, \>\"", "<>", 
        RowBox[{"ToString", "[", "dec", "]"}], "<>", "\"\<)\>\""}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"sender", "@", 
       RowBox[{"SetSpeedRamping", "[", 
        RowBox[{"acc", ",", "dec"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"sender", "@", 
       RowBox[{"SetMaxVelocity", "[", "vel", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"sender", "@", 
       RowBox[{"SetSteps", "[", "steps", "]"}]}]}]}], "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AddEventHandler", "[", 
   RowBox[{
    RowBox[{"ss", "@", "PositionReachedCallback"}], ",", 
    "PositionReachedCB"}], "]"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ss", "@", 
   RowBox[{"SetStepConfiguration", "[", 
    RowBox[{"BrickSilentStepper`STEPURESOLUTIONU8", ",", "True"}], "]"}]}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"1", "/", "8"}], " ", "steps", " ", 
    RowBox[{"(", "interpolated", ")"}]}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"ss", "@", 
   RowBox[{"Enable", "[", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Enable", " ", "motor", " ", "power"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"ss", "@", 
   RowBox[{"SetSteps", "[", "1", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{
   "Drive", " ", "one", " ", "step", " ", "forward", " ", "to", " ", "get", 
    " ", "things", " ", "going"}], "*)"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clean", " ", "up"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ss", "@", 
  RowBox[{"Disable", "[", "]"}]}], "\n", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ss", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->{{3.600075175574196*^9, 3.600075177574486*^9}, {
   3.600075518821967*^9, 3.60007554243471*^9}, {3.600075580562348*^9, 
   3.600075669308506*^9}, {3.600075705822371*^9, 3.600075921974015*^9}, {
   3.6000760067507343`*^9, 3.600076009622583*^9}, {3.600077792659996*^9, 
   3.600077795613958*^9}, {3.600077854705127*^9, 3.600077855342334*^9}, {
   3.600090981053762*^9, 3.6000909897413397`*^9}, {3.600091048393783*^9, 
   3.600091071325759*^9}, {3.6000911068928633`*^9, 3.6000911072763557`*^9}, {
   3.600091413237206*^9, 3.600091428847453*^9}, {3.600091480127982*^9, 
   3.60009150669311*^9}, {3.6000915673213387`*^9, 3.6000915678002653`*^9}, {
   3.600092307925643*^9, 3.600092314241997*^9}, {3.600149020784099*^9, 
   3.6001491107582273`*^9}, {3.600149174456699*^9, 3.6001491869018793`*^9}, {
   3.600161252329417*^9, 3.600161270517737*^9}, {3.6001751050299597`*^9, 
   3.6001752269913054`*^9}, {3.600175283111157*^9, 3.60017529631222*^9}, {
   3.600500425825809*^9, 3.6005004326356916`*^9}, {3.6005005658827868`*^9, 
   3.60050056667803*^9}, {3.600506021813815*^9, 3.6005060779666643`*^9}, {
   3.600506152278829*^9, 3.6005061727773933`*^9}, {3.600607963780426*^9, 
   3.6006080340220013`*^9}, {3.600608128817329*^9, 3.600608130481505*^9}, {
   3.60060817038931*^9, 3.600608171010838*^9}, 3.60060822412246*^9, {
   3.600608254252864*^9, 3.600608318404385*^9}, {3.600608504672563*^9, 
   3.6006085096134768`*^9}, {3.600608564485358*^9, 3.6006085694976482`*^9}, {
   3.6006086083315887`*^9, 3.600608696478737*^9}, {3.600608732817322*^9, 
   3.600608760452553*^9}, {3.600608824736239*^9, 3.600608825481593*^9}, 
   3.60060918655473*^9, {3.600609227515625*^9, 3.600609227953993*^9}, {
   3.6007712106765623`*^9, 3.600771226723548*^9}, {3.600771334518587*^9, 
   3.600771535293544*^9}, 3.60077280785436*^9, {3.6007728726704683`*^9, 
   3.60077292690202*^9}, {3.600773260666479*^9, 3.60077338277332*^9}, {
   3.600773902868092*^9, 3.600773903280047*^9}, {3.600774176946167*^9, 
   3.6007741805508223`*^9}, {3.6007743308622513`*^9, 3.60077436378906*^9}, {
   3.600774427110879*^9, 3.600774555837899*^9}, {3.600774618109309*^9, 
   3.600774726120483*^9}, {3.600774860713876*^9, 3.6007749357146673`*^9}, 
   3.600775250401923*^9, {3.6007752828131733`*^9, 3.600775284521426*^9}, {
   3.652422305349154*^9, 3.6524223368060226`*^9}, {3.701581435216073*^9, 
   3.701581489566641*^9}}]
},
WindowSize->{1815, 895},
WindowMargins->{{Automatic, -44}, {Automatic, 67}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 656, 12, 55, "Input"],
Cell[1059, 27, 7921, 174, 891, "Input"]
}
]
*)

